package com.genlot.ninglottery.module.hardwaretest;

import android.os.Bundle;
import android.widget.CompoundButton;

import com.genlot.ninglottery.R;
import com.genlot.ninglottery.base.BaseDialogActivity;

import butterknife.OnCheckedChanged;

/**
 * @author ZhuYongKang
 * @description 类描述
 * @date 2019/9/12
 */
public class HardwareTestActivity extends BaseDialogActivity{

    @OnCheckedChanged({R.id.radio_print, R.id.radio_scan})
    public void checkChanged(CompoundButton buttonView, boolean isChecked) {
        if (isChecked) {
            switch (buttonView.getId()) {
                case R.id.radio_print:
                    replaceFragment(new PrintTestFragment());
                    break;
                case R.id.radio_scan:
                    replaceFragment(new ScanTestFragment());
                    break;
                default:
                    break;
            }
        }
    }

    @Override
    public int getLayoutID() {
        return R.layout.activity_hardware_test;
    }

    @Override
    public void initViews(Bundle savedInstanceState) {

    }
}
